Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.model.coverage
Class PaletteInterpretation

    java.lang.Object
      org.deegree.model.coverage.CodeList
          org.deegree.model.coverage.PaletteInterpretation

All Implemented Interfaces:
  Serializable

    public final class PaletteInterpretation

extends CodeList

Describes the color entry in a color table.

Version:
  Grid Coverage specification 1.0
Author:
  OpenGIS® consortium
See Also:
  `ColorInterpretation`, `SampleDimension`, Serialized Form

Field Summary
`static PaletteInterpretation` | `CMYK` CYMK (Cyan Yellow Magenta blacK) color palette.
`static PaletteInterpretation` | `GRAY` Gray Scale color palette.
`static PaletteInterpretation` | `HLS` HSL (Hue Saturation Lightness) color palette.
`static PaletteInterpretation` | `RGB` RGB (Red Green Blue) color palette.

Method Summary
`CodeList[]` | `family()` Returns the list of enumerations of the same kind than this enum.
`static PaletteInterpretation[]` | `values()` Returns the list of `PaletteInterpretation`s.

Methods inherited from class org.deegree.model.coverage.CodeList
`name, ordinal, readResolve, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### GRAY

    public static final PaletteInterpretation GRAY

  Gray Scale color palette.

  See Also:
    `ColorSpace.TYPE_GRAY`

### RGB

    public static final PaletteInterpretation RGB

  RGB (Red Green Blue) color palette.

  See Also:
    `ColorSpace.TYPE_RGB`

### CMYK

    public static final PaletteInterpretation CMYK

  CYMK (Cyan Yellow Magenta blacK) color palette.

  See Also:
    `ColorSpace.TYPE_CMYK`

### HLS

    public static final PaletteInterpretation HLS

  HSL (Hue Saturation Lightness) color palette.

  See Also:
    `ColorSpace.TYPE_HLS`

Method Detail

### values

    public static PaletteInterpretation[] values()

  Returns the list of `PaletteInterpretation`s.

  Returns:
    the list of `PaletteInterpretation`s.

### family

    public CodeList[] family()

  Returns the list of enumerations of the same kind than this enum.

  Specified by:
    `family` in class `CodeList`
  Returns:
    the list of enumerations of the same kind than this enum.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org